import type { TikiService } from "@/service";
import { type Ref } from "vue";
export declare enum Sheets {
    Hidden = 0,
    Offer = 1,
    Terms = 2,
    Learn = 3,
    Home = 4,
    Connected = 5,
    Retailer = 6,
    Google = 7,
    AddRetailer = 8,
    AddGoogle = 9
}
export declare class Navigate {
    private stack;
    readonly ref: Ref<Sheets>;
    constructor(init?: Ref<Sheets>);
    initialize(tiki?: TikiService): Promise<void>;
    to(to: Sheets): void;
    pop(): void;
    clear(): void;
}
