import type { ServiceCapture } from "@/service/capture";
import type { ServiceStore } from "@/service/store";
import type { ServicePublish } from "@/service";
export declare class InternalHandlers {
    private readonly capture;
    private readonly store;
    private readonly publish;
    constructor(store: ServiceStore, capture: ServiceCapture, publish: ServicePublish);
    private onGmail;
    private onRetailer;
    private onReceipt;
    checkPayout(): Promise<void>;
}
